Bug 864468 - documentation is lying about 'serial' boot option
documentation is lying about 'serial' boot option
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
https://fedoraproject.org/wiki/Common...
: CommonBugs, Reopened
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2012-10-09 08:43 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-06 08:58:35 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ľuboš Kardoš 2012-10-09 08:43:39 EDT
Description of problem:
I just installed Fedora_18_Beta_TC2 i386 while adding "console=ttyS0" boot option, following this test case:
https://fedoraproject.org/wiki/QA:Testcase_Anaconda_User_Interface_serial_console

I was using KVM. The installation went fine over serial console, but the installed system does not contain "console=ttyS0" in grub.cfg, therefore it is not possible to access the newly installed system over serial console. Also the grub menu itself is not displayed over serial console.

Version-Release number of selected component (if applicable):
Fedora_18_Beta_TC2 i386
anaconda 18.12

How reproducible:
always

Steps to Reproduce:
1. follow the linked test case
Comment 1 Jesse Keating 2012-10-09 10:24:11 EDT
With F18 you have to add the "serial" option if you want the settings to carry over to the installed system. We wanted to allow for using serial console for install without forcing serial boot after install. 

Please try with serial and reopen if that doesn't work.
Comment 2 Martin Banas 2012-10-09 10:32:20 EDT
Hello Jesse,

"serial" boot option is obsolete and has been removed.
From anaconda boot options wiki:

serial

This option was never intended for public use; it was supposed to be used to force anaconda to use /dev/ttyS0 as its console when testing it on a live machine.

Use console=ttyS0 or similar instead. See console for details.

http://wwoods.fedorapeople.org/doc/boot-options.html#_serial

Reopening the bug.
Comment 3 Jesse Keating 2012-10-09 13:46:52 EDT
(In reply to comment #2)
> Hello Jesse,
> 
> "serial" boot option is obsolete and has been removed.
> From anaconda boot options wiki:
> 
> serial
> 
> This option was never intended for public use; it was supposed to be used to
> force anaconda to use /dev/ttyS0 as its console when testing it on a live
> machine.
> 
> Use console=ttyS0 or similar instead. See console for details.
> 
> http://wwoods.fedorapeople.org/doc/boot-options.html#_serial
> 
> Reopening the bug.

That document is a work in progress, and does not reflect the very latest changes we've made in the code.  Serial was revived, after discussion with Will Woods.

If we just key off of "console=" we don't give users a way to use serial just for install, but not post-install.  This is what the serial flag is used for now.

Closing again.  Documentation will be updated.  In fact, the Fedora wiki has been updated to reflect this information:  https://fedoraproject.org/wiki/Anaconda_Boot_Options?rd=Anaconda/Options#console
Comment 4 Kamil Páral 2012-11-08 07:35:36 EST
Reopening. I'm so mad, I just lost lots of time because of broken documentation!

There is a big fat warning that [1] is obsolete. The current "draft" [2] says 'serial' is obsolete.

Please fix the documentation and *then* close the bug.

[1] https://fedoraproject.org/wiki/Anaconda_Boot_Options
[2] http://wwoods.fedorapeople.org/doc/boot-options.html#_serial
Comment 5 Kamil Páral 2012-11-08 07:39:55 EST
Removing Beta blocker, adding CommonBugs.
Comment 7 Dave Allan 2013-02-07 16:19:14 EST
It's not just the documentation, the installer prints a message on the serial console that 'serial' isn't needed, but indeed the getty on the serial console is not autoconfigured without it.
Comment 8 Fedora End Of Life 2013-12-21 10:08:31 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 9 Kamil Páral 2014-01-06 08:58:35 EST
With Fedora 20 console=ttyS0 carries over to the installed system.

Note You need to log in before you can comment on or make changes to this bug.